@import "~@/assets/sass/theme.sass"

.page
  display: flex
  flex-direction: column
  padding: 100px 0 160px 0
  @media (max-width: $mobile-bp)
    padding: 60px 0 70px 0
  &-wrapper
    background-color: white
  &-header
    display: flex
    margin-bottom: 100px
    @media (max-width: $mobile-bp)
      margin-bottom: 60px
    &-features
      display: grid
      grid-template-columns: repeat(4, 1fr)
      grid-column-gap: 72px
      @media (max-width: $mobile-bp)
        grid-template-columns: repeat(2, 1fr)
        grid-auto-rows: 1fr
        grid-column-gap: 20px
        grid-row-gap: 36px
      &-item
        display: flex
        flex-direction: column
        text-align: left
        &__title
          font-weight: 500
          font-size: 24px
          line-height: 36px
          text-transform: uppercase
          color: #0033CC
          white-space: pre-line
          @media (max-width: $mobile-bp)
            white-space: initial
        &__divider
          margin: 12px 0
          width: 68px
          height: 1px
          background-color: #0033CC
        &__text
          font-weight: 300
          font-size: 18px
          line-height: 27px
          color: #262626
  &-main
    display: grid
    grid-template-columns: 1fr 534px
    grid-column-gap: 32px
    @media (max-width: $mobile-bp)
      grid-template-columns: 1fr
      grid-template: 240px 1fr / 1fr
    &-section
      display: flex
      flex-direction: column
      justify-content: center
      &:first-child
        padding-right: 52px
        @media (max-width: $mobile-bp)
          padding-right: 0

      &-image
        @media (max-width: $mobile-bp)
          margin-bottom: 48px
          order: 1
      &-info
        @media (max-width: $mobile-bp)
          order: 2
    &__title
      margin-bottom: 16px
      font-size: 36px
      line-height: 41px
      color: #024DBD
      font-weight: 400
      @media (max-width: $mobile-bp)
        font-size: 27px
        line-height: 28px
        margin-bottom: 12px
    &__text
      font-size: 18px
      line-height: 27px
      font-weight: 300
      color: #464646
      @media (max-width: $mobile-bp)
        font-size: 16px
        line-height: 24px
      &.blue
        color: #0029A6
      &:not(.blue)
        margin-bottom: 22px
        @media (max-width: $mobile-bp)
          margin-bottom: 12px
    &-btn-section
      margin-top: 42px
      display: flex
      align-items: center
      @media (max-width: $mobile-bp)
        margin-top: 24px
        flex-direction: column
      &__btn
        padding: 16px 32px
        border-radius: 5px
        background-color: #0033CC
        margin-right: 12px
        font-size: 12px
        line-height: 18px
        color: #FFFFFF
        text-transform: uppercase
        cursor: pointer
        @media (max-width: $mobile-bp)
          align-self: stretch
          text-align: center
      &__arrow-btn
        display: flex
        align-items: center
        cursor: pointer
        color: #0033CC
        font-size: 12px
        line-height: 18px
        font-weight: 500
        @media (max-width: $mobile-bp)
          flex-direction: column
        &::before
          content: ''
          width: 26px
          height: 8px
          mask: url("~@/assets/images/arrow_left.svg") no-repeat center / contain
          background-color: #0033CC
          margin-right: 12px
          @media (max-width: $mobile-bp)
            height: 26px
            margin: 16px 0
            transform: rotate(90deg)
    &__image
      width: 100%
      height: 100%
      background: url("~@/assets/images/features_image.png") no-repeat center / contain